/*
 * 文 件 名:  QueryMeterReading
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/8/28
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model;

import com.huashe.common.domain.BaseEntity;

import java.io.Serializable;
import java.util.Set;

/**
 * 查询抄表记录
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/8/28]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class QueryMeter extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 服务区代码 */
    private String areaCode;

    /** 设备编号 */
    private String deviceCode;

    /** 对象标签 */
    private Integer objTag;

    /** 对象类型 */
    private Integer objType;

    /** 对象code集合*/
    private Set<String> objCodes;

    /** 计量介质 */
    private Integer meterCls;

    /** 年份 */
    private String year;

    /**
     * 排序方式
     */
    private String orderFlag = "ASC";

    public QueryMeter() {
        super();
    }

    public QueryMeter(String areaCode, Integer objTag, Integer meterCls, String startTime, String endTime) {
        super();
        this.areaCode = areaCode;
        this.objTag = objTag;
        this.meterCls = meterCls;
        this.setStartRecTime(startTime);
        this.setEndRecTime(endTime);
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public Integer getObjTag() {
        return objTag;
    }

    public void setObjTag(Integer objTag) {
        this.objTag = objTag;
    }

    public Integer getObjType() {
        return objType;
    }

    public void setObjType(Integer objType) {
        this.objType = objType;
    }

    public Set<String> getObjCodes() {
        return objCodes;
    }

    public void setObjCodes(Set<String> objCodes) {
        this.objCodes = objCodes;
    }

    public Integer getMeterCls() {
        return meterCls;
    }

    public void setMeterCls(Integer meterCls) {
        this.meterCls = meterCls;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getOrderFlag() {
        return orderFlag;
    }

    public void setOrderFlag(String orderFlag) {
        this.orderFlag = orderFlag;
    }
}